﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace WpfAviPlayback
{
  /// <summary>
  /// Converts a type into its type name.
  /// </summary>
  [ValueConversion(typeof(object), typeof(string))]
  class TypeNameConverter : IValueConverter
  {
    /// <summary>
    /// Conversion from object to its type name.
    /// </summary>
    /// <param name="value"></param>
    /// <param name="targetType"></param>
    /// <param name="parameter"></param>
    /// <param name="culture"></param>
    /// <returns></returns>
    public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
    {
      return value?.GetType()?.Name;
    }

    /// <summary>
    /// Not supported.
    /// </summary>
    /// <param name="value"></param>
    /// <param name="targetType"></param>
    /// <param name="parameter"></param>
    /// <param name="culture"></param>
    /// <returns></returns>
    public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
    {
      throw new NotImplementedException();
    }
  }
}
